org.apache.poi.xddf.usermodel

## Class XDDFGradientFillProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFGradientFillProperties

- All Implemented Interfaces:
    XDDFFillProperties

      @Beta
      public class XDDFGradientFillProperties
      extends java.lang.Object
      implements XDDFFillProperties

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFGradientFillProperties()`
    `protected` | `XDDFGradientFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFGradientStop` | `addGradientStop()`
    `int` | `countGradientStops()`
    `XDDFGradientStop` | `getGradientStop(int index)`
    `java.util.List<XDDFGradientStop>` | `getGradientStops()`
    `XDDFLinearShadeProperties` | `getLinearShadeProperties()`
    `XDDFPathShadeProperties` | `getPathShadeProperties()`
    `TileFlipMode` | `getTileFlipMode()`
    `XDDFRelativeRectangle` | `getTileRectangle()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties` | `getXmlObject()`
    `XDDFGradientStop` | `insertGradientStop(int index)`
    `java.lang.Boolean` | `isRotatingWithShape()`
    `void` | `removeGradientStop(int index)`
    `void` | `setLinearShadeProperties(XDDFLinearShadeProperties properties)`
    `void` | `setPathShadeProperties(XDDFPathShadeProperties properties)`
    `void` | `setRotatingWithShape(java.lang.Boolean rotating)`
    `void` | `setTileFlipMode(TileFlipMode mode)`
    `void` | `setTileRectangle(XDDFRelativeRectangle rectangle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFGradientFillProperties

          public XDDFGradientFillProperties()

    - #### XDDFGradientFillProperties

          protected XDDFGradientFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties getXmlObject()

    - #### isRotatingWithShape

          public java.lang.Boolean isRotatingWithShape()

    - #### setRotatingWithShape

          public void setRotatingWithShape(java.lang.Boolean rotating)

    - #### getTileFlipMode

          public TileFlipMode getTileFlipMode()

    - #### setTileFlipMode

          public void setTileFlipMode(TileFlipMode mode)

    - #### addGradientStop

          public XDDFGradientStop addGradientStop()

    - #### insertGradientStop

          public XDDFGradientStop insertGradientStop(int index)

    - #### removeGradientStop

          public void removeGradientStop(int index)

    - #### getGradientStop

          public XDDFGradientStop getGradientStop(int index)

    - #### getGradientStops

          public java.util.List<XDDFGradientStop> getGradientStops()

    - #### countGradientStops

          public int countGradientStops()

    - #### getLinearShadeProperties

          public XDDFLinearShadeProperties getLinearShadeProperties()

    - #### setLinearShadeProperties

          public void setLinearShadeProperties(XDDFLinearShadeProperties properties)

    - #### getPathShadeProperties

          public XDDFPathShadeProperties getPathShadeProperties()

    - #### setPathShadeProperties

          public void setPathShadeProperties(XDDFPathShadeProperties properties)

    - #### getTileRectangle

          public XDDFRelativeRectangle getTileRectangle()

    - #### setTileRectangle

          public void setTileRectangle(XDDFRelativeRectangle rectangle)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.